> For the complete documentation index, see [llms.txt](https://docs.blockrazor.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.blockrazor.io/tc/transaction-submission/fast/bsc/eth_sendrawtransaction-v2.md).

# eth\_sendRawTransaction v2

在 [eth\_sendRawTransaction](/tc/transaction-submission/fast/bsc/eth_sendrawtransaction.md) 的基礎上，`eth_sendRawTransaction v2`提供了一種更精簡、更迅速的交易提交途徑。

* 繞過 CORS 預檢： 它消除了通常由 OPTIONS 預檢請求所引起的延遲（大約 50-100 毫秒）。
* 純文本而非 JSON： 採用簡單的純文本傳輸，避免了與解析 JSON 相關的計算負擔。此外，由此產生的較小數據包尺寸有助於縮短網路傳輸時間並降低成本。

`eth_sendRawTransaction v2` 的以上特性更適合擁有全球用戶的前端交易應用項目。

{% hint style="info" %}
`eth_sendRawTransaction`不和訂閱計劃綁定，但每筆交易中需要包含轉賬至0x9D70AC39166ca154307a93fa6b595CF7962fe8e5的tip，金額至少為0.000025 BNB 或 Transaction Fee 的5%
{% endhint %}

### 端點

{% tabs %}
{% tab title="通用域名" %}

```
http://bsc-fast.blockrazor.io/v2/sendRawTransaction
```

{% endtab %}

{% tab title="地理域名" %}

<table><thead><tr><th width="124.109375">地區</th><th>域名</th></tr></thead><tbody><tr><td>Frankfurt</td><td>http://frankfurt.bsc-fast.blockrazor.io/v2/sendRawTransaction</td></tr><tr><td>Japan</td><td>http://japan.bsc-fast.blockrazor.io/v2/sendRawTransaction</td></tr><tr><td>Virginia</td><td>http://virginia.bsc-fast.blockrazor.io/v2/sendRawTransaction</td></tr></tbody></table>
{% endtab %}
{% endtabs %}

### 限流

`eth_sendRawTransaction v2`不和訂閱計劃綁定，限流默認統一為10 TPS，如需提升TPS，請於我們聯繫

### 請求示例

{% tabs %}
{% tab title="CURL" %}

```bash
curl -X POST 'bsc-fast.blockrazor.io/v2/sendRawTransaction?auth=<auth_token>'
-H "Content-Type: text/plain" \
-d "<raw_tx>"
```

{% endtab %}
{% endtabs %}

{% hint style="info" %}
注意：

* 認證 (auth) 參數必須以 URI 參數的形式填入URL
* 請求中唯一允許的header是 `Content-Type: text/plain`
  {% endhint %}

### 返回示例

**正常**

```json
{
	"code": 0,
	"message": "success",
	"data": {
		"txHash": "0xd2ebb523f400dd33ebf946a1280426196eed72c9a63b7e1734dd6f8e2f5a81dc"
	}
}
```

**異常**

```json
{
	"code": -32600,
	"message": "auth token is invalid",
	"data": null
}
```

### Keep Alive

請發送 POST 請求到健康檢查端點以保持連線活躍，建議每隔10s請求一次，請求示例如下：

{% tabs %}
{% tab title="CURL" %}

```bash
curl -X POST 'http://bsc-fast.blockrazor.io/health' \
-H "Content-Type: text/plain" \
-d ""
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.blockrazor.io/tc/transaction-submission/fast/bsc/eth_sendrawtransaction-v2.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
